@echo off
cls
mode con cols=80 lines=50

:header
echo.
echo +-----------------------------------------------------------------------------+
echo !                             -= BelaUI Setup =-                              !
echo +-----------------------------------------------------------------------------+
echo ! Author: Kentarii                                                            !
echo +-----------------------------------------------------------------------------+
echo.
goto disclaimer

:disclaimer
echo +-----------------------------------------------------------------------------+
echo ! Disclaimer                                                                  !
echo +-----------------------------------------------------------------------------+
echo ! Use this at your own peril. I will not take responsibility for anything     !
echo ! that might happen to your pc because of this script.                        !
echo ! Offical download of this script is at the location below, if you found it   !
echo ! anywhere else, it might have been tampered with.                            !
echo !                                                                             !
echo ! http://aoc.is-better-than.tv/belaui.php                                     !
echo +-----------------------------------------------------------------------------+

echo.
choice /C YN /M "Agree to disclaimer "
echo.
if errorlevel == 2 goto footer
if errorlevel == 1 goto sanity_check

:sanity_check
if not exist ..\Customized goto not_installed_correctly
if not exist ..\..\..\AgeOfConan.exe goto missing_aoc_binary
goto menu

rem +---------------------------------------------------------------------------
rem ! The important part of this program =)
rem +---------------------------------------------------------------------------

:menu
echo.
echo +-----------------------------------------------------------------------------+
echo !                              -= BelaUI Menu =-                              !
echo +-----------------------------------------------------------------------------+
echo ! A) Configure bottombar                                                      !
echo ! B) Configure upper HUD                                                      !
echo ! C) Configure world map                                                      !
echo ! D) Configure inventory bag                                                  !
echo ! E) Configure loot window                                                    !
echo ! F) Configure text color                                                     !
echo ! G) Configure timerbar                                                       !
echo ! H) Configure combat sequence indicator                                      !
echo ! I) Configure debuff icons                                                   !
echo ! J) Configure group/raid window                                              !
echo ! K) Cleanup bxml files                                                       !
echo ! L) Exit                                                                     !
echo +-----------------------------------------------------------------------------+
echo.
choice /C ABCDEFGHIJKL /M "Select an option "
echo.
if errorlevel == 12 goto footer
if errorlevel == 11 goto cleanup
if errorlevel == 10 goto group_window
if errorlevel == 9 goto debuff_icons
if errorlevel == 8 goto csi
if errorlevel == 7 goto timerbar
if errorlevel == 6 goto text_color
if errorlevel == 5 goto loot_window
if errorlevel == 4 goto inventory_bag
if errorlevel == 3 goto worldmap
if errorlevel == 2 goto upperhud
if errorlevel == 1 goto bottombar


rem ----- bottombar ------------------------------------------------------------
:bottombar
echo.
choice /C DTL2QWZ /M "Which bottombar do you want to use? [D]efault, [T]riple, Triple[L], TripleV[2], [Q]uad, [W]idescreen or [Z]izzo "
echo.
if errorlevel == 7 goto bottombar_zizzo
if errorlevel == 6 goto bottombar_widescreen
if errorlevel == 5 goto bottombar_quad
if errorlevel == 4 goto bottombar_triplev2
if errorlevel == 3 goto bottombar_triplel
if errorlevel == 2 goto bottombar_triple
if errorlevel == 1 goto bottombar_default

:bottombar_default
if exist Views\HUD\BottomBar.xml del /q Views\HUD\BottomBar.xml Views\HUD\BottomBar.bxml
goto menu

:bottombar_triple
if exist Views\HUD\BottomBar.xml del /q Views\HUD\BottomBar.xml Views\HUD\BottomBar.bxml
copy Views\HUD\BottomBar.Triple.xml Views\HUD\BottomBar.xml
goto menu

:bottombar_triplel
if exist Views\HUD\BottomBar.xml del /q Views\HUD\BottomBar.xml Views\HUD\BottomBar.bxml
copy Views\HUD\BottomBar.TripleL.xml Views\HUD\BottomBar.xml
goto menu

:bottombar_triplev2
if exist Views\HUD\BottomBar.xml del /q Views\HUD\BottomBar.xml Views\HUD\BottomBar.bxml
copy Views\HUD\BottomBar.TripleV2.xml Views\HUD\BottomBar.xml
goto menu

:bottombar_quad
if exist Views\HUD\BottomBar.xml del /q Views\HUD\BottomBar.xml Views\HUD\BottomBar.bxml
copy Views\HUD\BottomBar.Quad.xml Views\HUD\BottomBar.xml
goto menu

:bottombar_widescreen
if exist Views\HUD\BottomBar.xml del /q Views\HUD\BottomBar.xml Views\HUD\BottomBar.bxml
copy Views\HUD\BottomBar.Widescreen.xml Views\HUD\BottomBar.xml
goto menu

:bottombar_zizzo
if exist Views\HUD\BottomBar.xml del /q Views\HUD\BottomBar.xml Views\HUD\BottomBar.bxml
copy Views\HUD\BottomBar.Zizzo.xml Views\HUD\BottomBar.xml
goto menu

rem ----- upperhud -------------------------------------------------------------
:upperhud
echo.
choice /C DB /M "Do you want to use [D]efault or [B]elaUI HUD with large minimap and clean buttons "
echo.
if errorlevel == 2 goto upperhud_belaui
if errorlevel == 1 goto upperhud_default

:upperhud_default
if exist Views\HUD\HUDView.xml del /q Views\HUD\HUDView.xml Views\HUD\HUDView.bxml
if exist Views\HUD\WorldClockView.xml del /q Views\HUD\WorldClockView.xml Views\HUD\WorldClockView.bxml
if exist Views\MapGUI\MinimapView.xml del /q Views\MapGUI\MinimapView.xml Views\MapGUI\MinimapView.bxml
goto menu

:upperhud_belaui
if exist Views\HUD\HUDView.xml del /q Views\HUD\HUDView.xml Views\HUD\HUDView.bxml
if exist Views\HUD\WorldClockView.xml del /q Views\HUD\WorldClockView.xml Views\HUD\WorldClockView.bxml
if exist Views\MapGUI\MinimapView.xml del /q Views\MapGUI\MinimapView.xml Views\MapGUI\MinimapView.bxml
copy Views\HUD\HUDView.BelaUI.xml Views\HUD\HUDView.xml
copy Views\HUD\WorldClockView.BelaUI.xml Views\HUD\WorldClockView.xml
copy Views\MapGUI\MinimapView.BelaUI.xml Views\MapGUI\MinimapView.xml
goto menu

rem ----- worldmap -------------------------------------------------------------
:worldmap
echo.
choice /C DM /M "Do you want to use [D]efault or [M]inimalistic worldmap "
echo.
if errorlevel == 2 goto worldmap_min
if errorlevel == 1 goto worldmap_default

:worldmap_default
if exist Views\MapGUI\MapWindowSkin.xml del /q Views\MapGUI\MapWindowSkin.xml Views\MapGUI\MapWindowSkin.bxml
goto menu

:worldmap_min
if exist Views\MapGUI\MapWindowSkin.xml del /q Views\MapGUI\MapWindowSkin.xml Views\MapGUI\MapWindowSkin.bxml
copy Views\MapGUI\MapWindowSkin.Minimalistic.xml Views\MapGUI\MapWindowSkin.xml
goto menu

rem ----- message --------------------------------------------------------------
:message
echo.
choice /C DT /M "Do you want to use [D]efault or [T]ransparent background on messages "
echo.
if errorlevel == 2 goto message_transparent
if errorlevel == 1 goto message_default

:message_default
if exist Views\MainGUI\FadeInFadeOutView.xml del /q Views\MainGUI\FadeInFadeOutView.xml Views\MainGUI\FadeInFadeOutView.bxml
goto menu

:message_transparent
if exist Views\MainGUI\FadeInFadeOutView.xml del /q Views\MainGUI\FadeInFadeOutView.xml Views\MainGUI\FadeInFadeOutView.bxml
copy Views\MainGUI\FadeInFadeOutView.Transparent.xml Views\MainGUI\FadeInFadeOutView.xml
goto menu

rem ----- inventory bag --------------------------------------------------------
:inventory_bag
echo.
choice /C DBE /M "Do you want to use [D]efault (4x6 slots) or [B]ig (6x9 slots) or [E]xtra big (8x11 slots) inventory bag "
echo.
if errorlevel == 3 goto inventory_bag_extra_big
if errorlevel == 2 goto inventory_bag_big
if errorlevel == 1 goto inventory_bag_default

:inventory_bag_default
if exist Views\MainGUI\InventoryView.xml del /q Views\MainGUI\InventoryView.xml Views\MainGUI\InventoryView.bxml
goto menu

:inventory_bag_big
if exist Views\MainGUI\InventoryView.xml del /q Views\MainGUI\InventoryView.xml Views\MainGUI\InventoryView.bxml
copy Views\MainGUI\InventoryView.6x9.xml Views\MainGUI\InventoryView.xml
goto menu

:inventory_bag_extra_big
if exist Views\MainGUI\InventoryView.xml del /q Views\MainGUI\InventoryView.xml Views\MainGUI\InventoryView.bxml
copy Views\MainGUI\InventoryView.8x11.xml Views\MainGUI\InventoryView.xml
goto menu

rem ----- loot window ----------------------------------------------------------
:loot_window
echo.
choice /C DS /M "Do you want to use [D]efault or [S]mall loot window "
echo.
if errorlevel == 2 goto loot_window_small
if errorlevel == 1 goto loot_window_default

:loot_window_default
if exist Views\LootView.xml del /q Views\LootView.xml Views\LootView.bxml
goto menu

:loot_window_small
if exist Views\LootView.xml del /q Views\LootView.xml Views\LootView.bxml
copy Views\LootView.Small.xml Views\LootView.xml
goto menu

rem ----- text color -----------------------------------------------------------
:text_color
echo.
choice /C DB /M "Do you want to use [D]efault or [B]right text colors "
echo.
if errorlevel == 2 goto text_color_bright
if errorlevel == 1 goto text_color_default

:text_color_default
if exist TextColors.xml del /q TextColors.xml TextColors.bxml
goto menu

:text_color_bright
if exist TextColors.xml del /q TextColors.xml TextColors.bxml
copy TextColors.Bright.xml TextColors.xml
goto menu

rem ----- timerbar -------------------------------------------------------------
:timerbar
echo.
choice /C DNB /M "Which timerbar do you want to use? [D]efault, [N]ormal blue or [B]ig blue "
echo.
if errorlevel == 3 goto timerbar_big
if errorlevel == 2 goto timerbar_normal
if errorlevel == 1 goto timerbar_default

:timerbar_default
if exist Views\CommandTimerBar.xml del /q Views\CommandTimerBar.xml Views\CommandTimerBar.bxml
goto menu

:timerbar_normal
if exist Views\CommandTimerBar.xml del /q Views\CommandTimerBar.xml Views\CommandTimerBar.bxml
copy Views\CommandTimerBar.NormalBlue.xml Views\CommandTimerBar.xml
goto menu

:timerbar_big
if exist Views\CommandTimerBar.xml del /q Views\CommandTimerBar.xml Views\CommandTimerBar.bxml
copy Views\CommandTimerBar.BigBlue.xml Views\CommandTimerBar.xml
goto menu

rem ----- csi ------------------------------------------------------------------
:csi
echo.
choice /C DRAB /M "Which combat sequence indicator do you want to use? [D]efault, a[R]rows, [A]lpha or [B]ravo "
echo.
if errorlevel == 4 goto csi_bravo
if errorlevel == 3 goto csi_alpha
if errorlevel == 2 goto csi_arrows
if errorlevel == 1 goto csi_default

:csi_default
if exist Views\ComboSequenceIndicator\CSIView.xml del /q Views\ComboSequenceIndicator\CSIView.xml Views\ComboSequenceIndicator\CSIView.bxml
goto menu

:csi_arrows
if exist Views\ComboSequenceIndicator\CSIView.xml del /q Views\ComboSequenceIndicator\CSIView.xml Views\ComboSequenceIndicator\CSIView.bxml
copy Views\ComboSequenceIndicator\CSIView.Arrows.xml Views\ComboSequenceIndicator\CSIView.xml
goto menu

:csi_alpha
if exist Views\ComboSequenceIndicator\CSIView.xml del /q Views\ComboSequenceIndicator\CSIView.xml Views\ComboSequenceIndicator\CSIView.bxml
copy Views\ComboSequenceIndicator\CSIView.Alpha.xml Views\ComboSequenceIndicator\CSIView.xml
goto menu

:csi_bravo
if exist Views\ComboSequenceIndicator\CSIView.xml del /q Views\ComboSequenceIndicator\CSIView.xml Views\ComboSequenceIndicator\CSIView.bxml
copy Views\ComboSequenceIndicator\CSIView.Bravo.xml Views\ComboSequenceIndicator\CSIView.xml
goto menu

rem ----- big debuff icons -----------------------------------------------------
:debuff_icons
echo.
choice /C DB /M "Do you want to use [D]efault or [B]ig debuff icons "
echo.
if errorlevel == 2 goto debuff_icons_big
if errorlevel == 1 goto debuff_icons_default

:debuff_icons_default
if exist Views\HUD\CharPortraitLeft.xml del /q Views\HUD\CharPortraitLeft.xml Views\HUD\CharPortraitLeft.bxml
if exist Views\HUD\CharPortraitRight.xml del /q Views\HUD\CharPortraitRight.xml Views\HUD\CharPortraitRight.bxml
goto menu

:debuff_icons_big
if exist Views\HUD\CharPortraitLeft.xml del /q Views\HUD\CharPortraitLeft.xml Views\HUD\CharPortraitLeft.bxml
if exist Views\HUD\CharPortraitRight.xml del /q Views\HUD\CharPortraitRight.xml Views\HUD\CharPortraitRight.bxml
copy Views\HUD\CharPortraitLeft.Big.xml Views\HUD\CharPortraitLeft.xml
copy Views\HUD\CharPortraitRight.Big.xml Views\HUD\CharPortraitRight.xml
goto menu

rem ----- group/raid window ----------------------------------------------------
:group_window
echo.
choice /C DB /M "Do you want to use [D]efault or [B]elaUI group/raid window "
echo.
if errorlevel == 2 goto group_window_belaui
if errorlevel == 1 goto group_window_default

:group_window_default
if exist Views\TeamGUI\TeamListView.xml del /q Views\TeamGUI\TeamListView.xml Views\TeamGUI\TeamListView.bxml
if exist Views\TeamGUI\TeamListEntryView.xml del /q Views\TeamGUI\TeamListEntryView.xml Views\TeamGUI\TeamListEntryView.bxml
if exist Views\TeamGUI\TeamListBigEntryView.xml del /q Views\TeamGUI\TeamListBigEntryView.xml Views\TeamGUI\TeamListBigEntryView.bxml
goto menu

:group_window_belaui
if exist Views\TeamGUI\TeamListView.xml del /q Views\TeamGUI\TeamListView.xml Views\TeamGUI\TeamListView.bxml
if exist Views\TeamGUI\TeamListEntryView.xml del /q Views\TeamGUI\TeamListEntryView.xml Views\TeamGUI\TeamListEntryView.bxml
if exist Views\TeamGUI\TeamListBigEntryView.xml del /q Views\TeamGUI\TeamListBigEntryView.xml Views\TeamGUI\TeamListBigEntryView.bxml
copy Views\TeamGUI\TeamListView.BelaUI.xml Views\TeamGUI\TeamListView.xml
copy Views\TeamGUI\TeamListEntryView.BelaUI.xml Views\TeamGUI\TeamListEntryView.xml
copy Views\TeamGUI\TeamListBigEntryView.BelaUI.xml Views\TeamGUI\TeamListBigEntryView.xml
goto menu

rem ----- cleanup bxml ---------------------------------------------------------
:cleanup
echo.
choice /C YN /M "Do you want to cleanup all the bxml files inside the Customized folder "
echo.
if errorlevel == 2 goto footer
if errorlevel == 1 goto cleanup_bxml

:cleanup_bxml
del /s /q *.bxml
echo.
echo Cleanup completed.
goto menu

rem ----- Some messages in case something goes wrong ---------------------------
:not_installed_correctly
echo Please extract/copy the contents of this zip-file to the Data\GUI\Customized folder of your AoC-installation.
echo Typical location is:  C:\Program Files\Funcom\Age of Conan\Data\Gui\Customized
echo or for 64-bit Windows: C:\Program Files (x86)\Funcom\Age of Conan\Data\Gui\Customized
goto footer

:missing_aoc_binary
echo Missing file 'AgeOfConan.exe' which probably means you did not extract this zip-file to the correct path.
goto footer

rem ----- footer ---------------------------------------------------------------
:footer
echo.
echo +-----------------------------------------------------------------------------+
echo ! Final words                                                                 !
echo +-----------------------------------------------------------------------------+
echo ! Please visit my AoC website for other cool stuff:                           !
echo !                                                                             !
echo ! http://aoc.is-better-than.tv/                                               !
echo !                                                                             !
echo ! - Kentarii                                                                  !
echo +-----------------------------------------------------------------------------+
echo.

if not exist  ..\..\..\AgeOfConan.exe goto anykey
choice /C YN /M "Do you want to launch Age of Conan "
if errorlevel == 2 goto no_launch
if errorlevel == 1 goto launch_game

:launch_game
cd ..\..\..\
start AgeOfConan.exe
goto end

:no_launch
echo.
echo If you were already running the game, please type "/reloadui" in the chat to reload the user interface.
echo.
goto anykey

:anykey
pause

:end